#
# rpm spec file for atl2 driver (asus motherboard)
#

%define kvers %(uname -r)
%define version 0.2.40.0

Summary: Attansic(R) L2 driver for Linux
Name: atl2
Version: %{version}
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
Packager: Bryan Miller <bmiller@fonality.com>
URL: http://support.attansic.com 
Source: %{name}-%{version}.tar.gz
Provides: %{name}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%define find() %(for f in %*; do if [ -e $f ]; then echo $f; break; fi; done)
%define _pciids   /usr/share/hwdata/pci.ids
%define _pcitable /usr/share/hwdata/pcitable
%define pciids    %find %{_pciids}
%define pcitable  %find %{_pcitable}
Requires: kernel, fileutils, findutils, gawk, bash

%description
This package contains the Linux driver for the
Attansic(R) L2 Gigabit Ethernet Adapter

%package modules-%{kvers}
Summary: atl2 kernel modules
Group: System Environment/Kernel
Requires: %{name}

%description modules-%{kvers}
This package contains the kernel drivers for kernel %{kvers}.

%prep
%setup

%build
if [ ! %{buildroot} = "/" ]; then %{__rm} -rf %{buildroot}; fi
mkdir -p %{buildroot}/lib/modules/%{kvers}/kernel/drivers/net
make -C src clean
make -C src
make -C src INSTALL_MOD_PATH=%{buildroot} install

%install
cd %{buildroot}
find lib -name "atl2.ko" -fprintf %{_builddir}/%{name}-%{version}/file.list "/%p\n"

%clean
if [ ! %{buildroot} = "/" ]; then %{__rm} -rf %{buildroot}; fi

%post modules-%{kvers}
echo "/lib/modules/%{kvers}/kernel/drivers/net/atl2/atl2.ko:" >> /lib/modules/%{kvers}/modules.dep
#/sbin/depmod -aeF /boot/System.map-%{kvers} > /dev/null || :
uname -r | grep BOOT || /sbin/depmod -a > /dev/null 2>&1 || true

%postun modules-%{kvers}
#/sbin/depmod -aeF /boot/System.map-%{kvers} > /dev/null || :
uname -r | grep BOOT || /sbin/depmod -a > /dev/null 2>&1 || true

%files 
%defattr(-,root,root)
%{_mandir}/man7/atl2.7.gz
%doc license
%doc readme
%doc ldistrib.txt

%files modules-%{kvers} -f %{_builddir}/%{name}-%{version}/file.list
%defattr(-,root,root)

%changelog
* Thu Sep 20 2007 Greg Colburn <gcolburn@fonality.com> 0.2.40.0
- added version variables
- broke package into multiple packages
* Sun Aug 28 2007 Bryan Miller <bmiller@fonality.com> 1.00.01
- initial RPM


###
### eof
###
